<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CANIMXY3D">
  <refnamediv>
    <refname>CANIMXY3D</refname>
    <refpurpose>z=f(x,y) animated viewer</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/CANIMXY3D.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_CANIMXY3D">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CANIMXY3D">z=f(x,y) animated viewer</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CANIMXY3D">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CANIMXY3D">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_CANIMXY3D">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_CANIMXY3D">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CANIMXY3D">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_CANIMXY3D">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_CANIMXY3D">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_CANIMXY3D">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CANIMXY3D">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Sinks_pal">Sinks palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CANIMXY3D">
    <title>Description</title>
    <para>
This block realizes the visualization of the evolution of the three regular input signals by drawing the third input as a function of the two others at instants of events on the event input port. When a point is drawn on screen it stays until the buffer length is reached. This scope is useful to make simple animations.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_CANIMXY3D">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/gui/CANIMXY3D_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Number of Curves</emphasis>
        </para>
        <para> Set the number of curves.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">color </emphasis>
        </para>
        <para> an integer. It is the color number (<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/CANIMXY3D_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) or marker type (<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/CANIMXY3D_img4_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) used to draw the evolution of the input port signal. See<emphasis role="bold">xset()</emphasis> for color (dash type) definitions.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">line or mark size</emphasis>
        </para>
        <para> an integer.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window number</emphasis>
        </para>
        <para> The number of graphic window used for the display. It is often good to use high values to avoid conflict with palettes and Super Block windows. If you have more than one scope, make sure they don't have the same window numbers (unless superposition of the curves is desired).</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window position</emphasis>
        </para>
        <para> a 2 vector specifying the coordinates of the upper left corner of the graphic window. Answer [] for default window position.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window sizes</emphasis>
        </para>
        <para> a 2 vector specifying the width and height of the graphic window. Answer [] for default window dimensions.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Xmin and Xmax</emphasis>
        </para>
        <para> Minimum and Maximum values of the first input; used to set up the X-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Ymin and Ymax</emphasis>
        </para>
        <para> Minimum and Maximum values of the second input; used to set up the Y-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Zmin and Zmax</emphasis>
        </para>
        <para> Minimum and Maximum values of the third input; used to set up the Z-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Alpha and Theta</emphasis>
        </para>
        <para> Set Alpha and Theta for the 3D view.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Buffer size</emphasis>
        </para>
        <para> An integer value. In order to minimize the number of graphics outputs, data may buffered.</para>
        <para> Properties : Type 'vec' of size 1</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_CANIMXY3D">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : size [1,1] / type 1</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 3 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">canimxy3d</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_CANIMXY3D">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Sinks/CANIMXY3D.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_CANIMXY3D">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/canimxy3d.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Seealso_CANIMXY3D">
    <title>See also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CANIMXY">CANIMXY - y=f(x) animated viewer</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_CANIMXY3D">
    <title>Authors</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Ramine Nikoukhah</emphasis> INRIA</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Benoit Bayol</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
